Name:           vbetool
Version:        0.7
Release:        6%{?dist}
Summary:        Run real-mode video BIOS code to alter hardware state

Group:          System Environment/Base
License:        GPLv2
URL:            http://www.srcf.ucam.org/~mjg59/vbetool/
Source0:        http://www.srcf.ucam.org/~mjg59/vbetool/vbetool_%{version}-1.tar.gz
Patch1:         vbetool-0.7-CFLAGS.patch
Patch10:        vbetool-0.3-fix-gcc4bug.patch
Patch11:        vbetool-libz.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  zlib-devel pciutils-devel zlib-static
# does not build on ppc and ppc64, see #285361 (RedHat Bugzilla)
# on ppc sys/io.h is missing, on ppc64 there are more complaints
# build.logs are attached in the bug report
ExcludeArch:    ppc ppc64
# vbetool is included in (some of) these pm-utils releases
Conflicts:      pm-utils <= 0.99.3-11


%description
vbetool uses lrmi in order to run code from the video BIOS. Currently, it is
able to alter DPMS states, save/restore video card state and attempt to
initialize the video card from scratch.


%prep
%setup -q
%patch1 -p1 -b .CFLAGS
%patch10 -p1 -b .gcc4
%patch11 -p1 -b .zlib


%build
%configure --with-x86emu
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING
%{_sbindir}/vbetool
%{_mandir}/man1/vbetool.1.gz


%changelog
* Tue Mar 25 2008 Till Maas <opensource till name> - 0.7-6
- remove overriding of CFLAGS for x86emu

* Wed Feb 20 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.7-5
- Autorebuild for GCC 4.3

* Sun Dec 02 2007 Till Maas <opensource till name> - 0.7-4
- libz.a is now in a -static subpackage, add to BR

* Tue Nov 13 2007 Adam Jackson <ajax@redhat.com> 0.7-3
- Build with x86emu everywhere for uniformity of bugs and consistency with X.

* Fri Sep 07 2007 Till Maas <opensource till name> 0.7-2
- ExcludeArch: ppc and ppc64 (does not build there)
- add Conflicts with old pm-utils package

* Fri Aug 31 2007 Till Maas <opensource till name> - 0.7-1
- initial release for Fedora with patches from the pm-utils package
